% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/3_read_rnaseq.R
\name{analyze}
\alias{analyze}
\title{Analyze}
\usage{
analyze(
  object,
  pca = FALSE,
  fit = NULL,
  subgroupvar = default_subgroupvar(object),
  formula = default_formula(object, subgroupvar, fit),
  block = NULL,
  weightvar = if ("weights" \%in\% assayNames(object)) "weights" else NULL,
  contrastdefs = contrast_coefs(object, formula),
  verbose = TRUE,
  plot = TRUE
)
}
\arguments{
\item{object}{SummarizedExperiment}

\item{pca}{whether to perform pca}

\item{fit}{NULL, 'limma', 'lm', 'lme', 'lmer', or 'wilcoxon'}

\item{subgroupvar}{subgroup svar}

\item{formula}{model formula}

\item{block}{block svar}

\item{weightvar}{NULL or name of weight matrix in assays(object)}

\item{contrastdefs}{contrastdefs vector/matrix/list}

\item{verbose}{whether to msg}

\item{plot}{whether to plot}
}
\value{
SummarizedExperiment
}
\description{
Analyze
}
\examples{
require(magrittr)
file <- download_data('atkin18.metabolon.xlsx')
object <- read_metabolon(file, plot=FALSE)
object \%<>\% analyze(pca=TRUE, subgroupvar = 'Group', fit='limma')
}
