% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/5_pca.R
\name{biplot}
\alias{biplot}
\alias{plot_biplot}
\title{Biplot}
\usage{
biplot(
  object,
  x = pca1,
  y = pca2,
  color = NULL,
  group = NULL,
  label = NULL,
  feature_label = feature_name,
  ...,
  fixed = list(shape = 15, size = 3),
  nloadings = 0
)

plot_biplot(...)
}
\arguments{
\item{object}{SummarizedExperiment}

\item{x}{pca1, etc.}

\item{y}{pca2, etc.}

\item{color}{svar mapped to color (symbol)}

\item{group}{svar mapped to group}

\item{label}{svar mapped to label (symbol)}

\item{feature_label}{fvar mapped to (loadings) label}

\item{...}{additional svars mapped to aesthetics}

\item{fixed}{fixed plot aesthetics}

\item{nloadings}{number of loadings per half-axis to plot}
}
\value{
ggplot object
}
\description{
Biplot
}
\examples{
require(magrittr)
file <- download_data('atkin18.metabolon.xlsx')
object <- read_metabolon(file, plot = FALSE)
object \%<>\% pca(ndim=4)
biplot(object)
biplot(object, color=SUB, group=SUB)
biplot(object, color=SUB, nloadings=1)
biplot(object, pca3, pca4, color=SUB, nloadings=1)
}
