% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/5_pca.R
\name{plot_corrections}
\alias{plot_corrections}
\alias{biplot_corrections}
\title{Biplot batch corrections}
\usage{
plot_corrections(...)

biplot_corrections(
  object,
  method = "pca",
  color = subgroup,
  covariates = character(0),
  varcols = ceiling(sqrt(1 + length(covariates))),
  plot = TRUE
)
}
\arguments{
\item{...}{used to maintain deprecated functions}

\item{object}{SummarizedExperiment}

\item{method}{'pca', 'pls', 'lda', or 'sma'}

\item{color}{variable mapped to color (symbol)}

\item{covariates}{covariates to be batch-corrected}

\item{varcols}{number of covariate columns}

\item{plot}{TRUE/FALSE: plot?}
}
\value{
grid object
}
\description{
Biplot batch corrections
}
\examples{
file <- download_data('atkin18.metabolon.xlsx')
object <- read_metabolon(file, pca=TRUE, plot = FALSE)
biplot_corrections(
    object,  color = Group, covariates = c('SEX', 'T2D', 'SUB', 'SET'))
}
\seealso{
biplot_covariates
}
