% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/5_pca.R
\name{plot_covariates}
\alias{plot_covariates}
\alias{biplot_covariates}
\title{Biplot covariates}
\usage{
plot_covariates(...)

biplot_covariates(
  object,
  method = "pca",
  covariates = "subgroup",
  ndim = 6,
  dimcols = 1,
  varcols = length(covariates),
  plot = TRUE
)
}
\arguments{
\item{...}{used to maintain deprecated functions}

\item{object}{SummarizedExperiment}

\item{method}{'pca', 'pls', 'lda', or 'sma'}

\item{covariates}{covariates: mapped to color or batch-corrected}

\item{ndim}{number of dimensions to plot}

\item{dimcols}{number of dimension columns}

\item{varcols}{number of covariate columns}

\item{plot}{TRUE or FALSE: whether to plot}
}
\value{
ggplot object
}
\description{
Biplot covariates
}
\examples{
file <- download_data('atkin18.metabolon.xlsx')
object <- read_metabolon(file, pca = TRUE, plot = FALSE)
biplot_covariates(object, covariates = 'Group', ndim = 12, dimcols = 3)
biplot_covariates(object, covariates = c('SEX', 'T2D', 'SUB', 'SET'))
biplot_covariates(object, covariates = c('SEX', 'T2D', 'SUB', 'SET'), ndim=2)
biplot_covariates(object, covariates = c('Group'), dimcols = 3)
}
\seealso{
biplot_corrections
}
