% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/3_read_rnaseq.R
\name{counts2cpm}
\alias{counts2cpm}
\alias{cpm2counts}
\title{Convert between counts and cpm}
\usage{
counts2cpm(x, libsize = scaledlibsizes(x))

cpm2counts(x, libsize)
}
\arguments{
\item{x}{count/cpm matrix}

\item{libsize}{(scaled) libsize vector}
}
\value{
cpm/tpm/count matrix
}
\description{
Convert between counts and cpm
}
\examples{
file <- download_data('billing19.rnacounts.txt')
object <- read_rnaseq_counts(file, cpm=FALSE, log2=FALSE, plot=FALSE)
libsize <- scaledlibsizes(values(object))
tpm <- counts2tpm(counts(object), genesize = 1)
cpm <- counts2cpm(counts(object), libsize)
counts  <- cpm2counts(cpm, libsize)
sum(counts(object) - counts)
}
