% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/8_fit_limma.R
\name{create_design}
\alias{create_design}
\title{Create design}
\usage{
create_design(
  object,
  subgroupvar = if ("subgroup" \%in\% svars(object)) "subgroup" else NULL,
  formula = default_formula(object, subgroupvar, fit = "limma"),
  verbose = TRUE
)
}
\arguments{
\item{object}{SummarizedExperiment}

\item{subgroupvar}{subgroup svar}

\item{formula}{formula with svars}

\item{verbose}{whether to message}
}
\value{
design matrix
}
\description{
Create design matrix  for statistical analysis
}
\examples{
file <- download_data('billing19.rnacounts.txt')
object <- read_rnaseq_counts(file, plot=FALSE)
unique(create_design(object))

object$subgroup <- 'billing19'
unique(create_design(object))

file <- download_data('atkin18.somascan.adat')
object <- read_somascan(file, plot=FALSE)
unique(create_design(object))
create_design(object, formula= ~ 0 + SampleGroup + Sex + T2D + age + bmi)
object$subgroup <- 'atkin18'
unique(create_design(object))
}
