% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/1_download.R
\name{download_data}
\alias{download_data}
\title{Download autonomics example data}
\usage{
download_data(filename, verbose = TRUE)
}
\arguments{
\item{filename}{file name
\itemize{
    \item \href{https://pubmed.ncbi.nlm.nih.gov/26857143/}{
                Billing 2016: stemcell comparison:} E, EM, BM
    \itemize{ 
        \item \code{'billing16.bam.zip'}
        \item \code{'billing16.rnacounts.txt'}
        \item \code{'billing16.somascan.adat'}
        \item \code{'billing16.proteingroups.txt'}
    }
    \item \href{https://pubmed.ncbi.nlm.nih.gov/30525282/}{
                Atkin 2018: hypoglycemia:} t0, t1, t2, t3
    \itemize{
        \item \code{'atkin18.somascan.adat'}
        \item \code{'atkin18.metbolon.xlsx'}
    }
    \item \href{https://pubmed.ncbi.nlm.nih.gov/29777783/}{
                Halama 2018: glutaminase inhibition: } 4 conc, 4 timepoints
    \itemize{
        \item \code{'halama18.metabolon.xlsx'}
    }
    \item \href{https://pubmed.ncbi.nlm.nih.gov/31332097/}{
           Billing 2019: stemcell differentiation:} 
           E00, E01, E02, E05, EM15, EM30, M00
    \itemize{
        \item \code{'billing19.rnacounts.txt'    }
        \item \code{'billing19.proteingroups.txt'}
        \item \code{'billing19.phosphosites.txt'} 
    }
    \item \href{https://pubmed.ncbi.nlm.nih.gov/32648304/}{
          Fukuda 2020: zebrafish development:} X30dpt, Adult
    \itemize{
        \item \code{'fukuda20.proteingroups.txt'}
    }
}}

\item{verbose}{TRUE / FALSE}
}
\value{
local file path
}
\description{
Download autonomics example data
}
\examples{
# atkin18 - hypoglycemia - pubmed 30525282
    download_data('atkin18.somascan.adat')          # somascan  intensities
    download_data('atkin18.metabolon.xlsx')         # metabolon intensities

# billing16 - stemcell characterization - pubmed 26857143
    download_data('billing16.proteingroups.txt')  # proteingroup ratios
    download_data('billing16.somascan.adat')      # somascan  intensities
    download_data('billing16.rnacounts.txt')      # rnaseq    counts
    download_data('billing16.bam.zip')            # rnaseq    alignments

# billing19 - stemcell differentiation - pubmed 31332097
    # download_data('billing19.proteingroups.txt')    # proteingroup ratios
    # download_data('billing19.phosphosites.txt')     # phosphosite  ratios
    # download_data('billing19.rnacounts.txt')        # rnaseq       counts

# fukuda20 - heart regeneration - pubmed PXD016235
    download_data('fukuda20.proteingroups.txt')     # proteingroup LFQ

# halama18 - glutaminase inhibition - pubmed 30525282
    download_data('halama18.metabolon.xlsx')        # metabolon intensities
}
