% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/2_get_set.R
\name{fdata}
\alias{fdata}
\alias{fdata,SummarizedExperiment-method}
\alias{fdata<-}
\alias{fdata<-,SummarizedExperiment,data.frame-method}
\title{Get/Set fdata}
\usage{
fdata(object)

\S4method{fdata}{SummarizedExperiment}(object)

fdata(object) <- value

\S4method{fdata}{SummarizedExperiment,data.frame}(object) <- value
}
\arguments{
\item{object}{SummarizedExperiment, eSet, or EList}

\item{value}{data.frame}
}
\value{
feature dataframe (get) or updated object (set)
}
\description{
Get/Set feature data
}
\examples{
require(magrittr)
file <- download_data('billing16.proteingroups.txt')
object <- read_proteingroups(file, plot=FALSE)
head(fdata(object)) # Getter
fdata(object) \%<>\% cbind(z=1)
head(fdata(object)) # Setter
}
