% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/2_filter.R
\name{filter_replicated}
\alias{filter_replicated}
\title{Filter for replicated features}
\usage{
filter_replicated(object, comparator = `>`, lod = 0, n = 2, verbose = TRUE)
}
\arguments{
\item{object}{SummarizedExperiment}

\item{comparator}{string}

\item{lod}{number: limit of detection}

\item{n}{number: number of replicates above lod}

\item{verbose}{TRUE/FALSE}
}
\value{
SummarizedExperiment
}
\description{
Filter for replicated features
}
\examples{
require(magrittr)
file <- download_data('fukuda20.proteingroups.txt')
object <- read_proteingroups(file, plot=FALSE)
object \%<>\% filter_replicated()
}
