% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/2_get_set.R
\name{fnames}
\alias{fnames}
\alias{fnames,SummarizedExperiment-method}
\alias{fnames<-}
\alias{fnames<-,SummarizedExperiment,character-method}
\title{Get/Set fnames}
\usage{
fnames(object)

\S4method{fnames}{SummarizedExperiment}(object)

fnames(object) <- value

\S4method{fnames}{SummarizedExperiment,character}(object) <- value
}
\arguments{
\item{object}{SummarizedExperiment, eSet, or EList}

\item{value}{character vector with feature names}
}
\value{
feature name vector (get) or updated object (set)
}
\description{
Get/Set feature names
}
\examples{
require(magrittr)
file <- download_data('billing16.proteingroups.txt')
object <- read_proteingroups(file, plot=FALSE)
fnames(object) \%<>\% paste0('PG', .)
object
}
