% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/3_read_proteingroups.R
\name{guess_maxquant_quantity}
\alias{guess_maxquant_quantity}
\alias{guess_maxquant_quantity.character}
\alias{guess_maxquant_quantity.data.frame}
\alias{guess_maxquant_quantity.SummarizedExperiment}
\title{Guess maxquant quantity from snames}
\usage{
guess_maxquant_quantity(x, ...)

\method{guess_maxquant_quantity}{character}(x, ...)

\method{guess_maxquant_quantity}{data.frame}(x, ...)

\method{guess_maxquant_quantity}{SummarizedExperiment}(x, ...)
}
\arguments{
\item{x}{character vector, dataframe, or SummarizedExperiment}

\item{...}{used for proper S3 method dispatch}
}
\value{
string: value from names(MAXQUANT_PATTERNS_QUANTITY)
}
\description{
character vector, dataframe, or SummarizedExperiment.
}
\examples{
# file
    file <- download_data('fukuda20.proteingroups.txt')
    guess_maxquant_quantity(file)

# character vector
    x <- "Ratio M/L normalized STD(L)_E00(M)_E01(H)_R1"
    guess_maxquant_quantity(x)

    x <- "Ratio M/L STD(L)_E00(M)_E01(H)_R1"
    guess_maxquant_quantity(x)

    x <- "LFQ intensity E00.R1"
    guess_maxquant_quantity(x)

    x <- "Reporter intensity corrected 0 STD(0)E00(1)E01(2)_R1"
    guess_maxquant_quantity(x)

    x <- "Reporter intensity 0 STD(0)E00(1)E01(2)_R1"
    guess_maxquant_quantity(x)

    x <- "Intensity H STD(L)_E00(M)_E01(H)_R1"
    guess_maxquant_quantity(x)

# dataframe
    file <- download_data('fukuda20.proteingroups.txt')
    x <- data.table::fread(file)
    guess_maxquant_quantity(x)

# SummarizedExperiment
    file <- download_data('fukuda20.proteingroups.txt')
    object <- read_proteingroups(file, plot=FALSE)
    guess_maxquant_quantity(file)
}
