% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/7_impute.R
\name{normimpute}
\alias{normimpute}
\alias{halfnormimpute}
\alias{zeroimpute}
\title{Impute from half-normal distribution around 0}
\usage{
normimpute(x, selector = is.na(x), mean = 0)

halfnormimpute(x, selector = is.na(x))

zeroimpute(x, selector = is.na(x))
}
\arguments{
\item{x}{NA-containing numeric vector}

\item{selector}{which values to impute}

\item{mean}{which mean to impute around}
}
\value{
numeric vector of same length
}
\description{
Impute from half-normal distribution around 0
}
\examples{
require(data.table)
x <- rnorm(1e5)
idx <- runif(length(x))>0.9
x[idx] <- NA
dt1 <- data.table(value = normimpute(x), distr = 'norm')

x <- abs(rnorm(1e5)); x[idx] <- NA
dt2 <- data.table(value = halfnormimpute(x), distr = 'halfnorm')

x <- abs(rnorm(1e5)); x[idx] <- NA
dt3 <- data.table(value = zeroimpute(x), distr = 'zero')

require(ggplot2)
ggplot(rbind(dt1,dt2,dt3), aes(x=value, fill=distr)) +
geom_density(alpha=0.5)
}
