% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/3_read_proteingroups.R
\name{invert}
\alias{invert}
\alias{invert.character}
\alias{invert.SummarizedExperiment}
\title{Invert}
\usage{
invert(x, ...)

\method{invert}{character}(x, sep = guess_sep(x), ...)

\method{invert}{SummarizedExperiment}(
  x,
  subgroups = slevels(x, "subgroup"),
  sep = guess_sep(x, "subgroup"),
  ...
)
}
\arguments{
\item{x}{character vector or SummarizedExperiment}

\item{...}{to enable S3 method dispatch}

\item{sep}{string: collapsed string separator}

\item{subgroups}{character vector: subgroup levels to be inversed}
}
\value{
character vector or SummarizedExperiment
}
\description{
For character vectors: invert collapsed strings.
For SummarizedExperiments: invert expressions , subgroups, and sample ids
}
\examples{
# character
    x <- c('Ctrl_A', 'Ctrl_B')
    invert(x)

# SummarizedExperiment
    file <- download_data('fukuda20.proteingroups.txt')
    object <- read_proteingroups(file, plot=FALSE)
    invert(object)
}
