% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/8_fit.R
\name{is_sig}
\alias{is_sig}
\title{Is significant?}
\usage{
is_sig(
  object,
  fit = intersect(names(metadata(object)), TESTS),
  contrast = if (is_scalar(fit)) colnames(metadata(object)[[fit]]) else 1,
  quantity = "fdr"
)
}
\arguments{
\item{object}{SummarizedExperiment}

\item{fit}{subset of autonomics::TESTS}

\item{contrast}{subset of colnames(metadata(object)[[fit]])}

\item{quantity}{value in dimnames(metadata(object)[[fit]])[3]}
}
\value{
matrix: -1 (downregulated), +1 (upregulatd), 0 (not fdr significant)
}
\description{
Is significant?
}
\examples{
require(magrittr)
file <- download_data('fukuda20.proteingroups.txt')
object <- read_proteingroups(file, plot=FALSE)
object \%<>\% fit_lm()
object \%<>\% fit_limma()
issig <- is_sig(object, fit = c('lm','limma'), contrast = 'Adult-X30dpt')
plot_venn(issig)
}
