% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/2_sumexp_to_dt.R
\name{matrix2sumexp}
\alias{matrix2sumexp}
\title{Convert matrix into SummarizedExperiment}
\usage{
matrix2sumexp(
  x,
  sdt = NULL,
  sdtby = if (is.null(sdt)) NULL else names(sdt)[1],
  subgroupvar = NULL,
  fdt = NULL,
  fdtby = if (is.null(fdt)) NULL else names(fdt)[1],
  fnamevar = NULL,
  verbose = TRUE
)
}
\arguments{
\item{x}{matrix}

\item{sdt}{sample data.table / data.frame / DataFrame}

\item{sdtby}{sample data mergeby column}

\item{subgroupvar}{string / NULL}

\item{fdt}{feature data.table / data.frame / DataFrame}

\item{fdtby}{feature data mergeby column}

\item{fnamevar}{string / NULL}

\item{verbose}{TRUE/FALSE}
}
\value{
SummarizedExperiment
}
\description{
Convert matrix into SummarizedExperiment
}
\examples{
require(magrittr) 
file <- download_data('atkin18.metabolon.xlsx')
x <- values(read_metabolon(file, plot=FALSE))
object <- matrix2sumexp(x)
object \%<>\% pca()
biplot(object, nloadings=0, color=subgroup)
}
