% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/3_read_omics.R
\name{merge_sdata}
\alias{merge_sdata}
\alias{merge_fdata}
\title{Merge sample/feature data}
\usage{
merge_sdata(
  object,
  dt,
  by.x = "sample_id",
  by.y = names(dt)[1],
  verbose = TRUE
)

merge_fdata(
  object,
  dt,
  by.x = "feature_id",
  by.y = names(dt)[1],
  verbose = TRUE
)
}
\arguments{
\item{object}{SummarizedExperiment}

\item{dt}{data.frame, data.table, DataFrame}

\item{by.x}{object mergevar}

\item{by.y}{df mergevar}

\item{verbose}{TRUE/FALSE}
}
\value{
SummarizedExperiment
}
\description{
Merge sample/feature data
}
\examples{
require(magrittr)
file <- download_data('halama18.metabolon.xlsx')
object <- read_metabolon(file, plot=FALSE)
object \%<>\% merge_sdata( data.frame(sample_id = object$sample_id,
                                    number = seq_along(object$sample_id)))
head(sdata(object))
}
