% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/3_read_omics.R
\name{merge_sfile}
\alias{merge_sfile}
\alias{merge_ffile}
\title{Merge sample/feature file}
\usage{
merge_sfile(
  object,
  sfile = NULL,
  by.x = "sample_id",
  by.y = NULL,
  stringsAsFactors = TRUE,
  verbose = TRUE
)

merge_ffile(
  object,
  ffile = NULL,
  by.x = "feature_id",
  by.y = NULL,
  stringsAsFactors = TRUE,
  verbose = TRUE
)
}
\arguments{
\item{object}{SummarizedExperiment}

\item{sfile}{sample file path}

\item{by.x}{object mergevar}

\item{by.y}{file mergevvar}

\item{stringsAsFactors}{TRUE or FALSE}

\item{verbose}{TRUE (default) or FALSE}

\item{ffile}{ffile path}
}
\value{
SummarizedExperiment
}
\description{
Merge sample/feature file
}
\examples{
require(magrittr)
file <- download_data('billing19.proteingroups.txt')
select <-  c('E00','E01', 'E02','E05','E15','E30', 'M00')
select \%<>\% paste0('_STD')
object <- read_proteingroups(file, select_subgroups = select, plot=FALSE)
sfile <- paste0(tempdir(),'/', basename(tools::file_path_sans_ext(file)))
sfile \%<>\% paste0('.samples.txt')
invisible(create_sfile(object, sfile))
merge_sfile(object, sfile)
}
