% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/5_pca.R
\name{pca}
\alias{pca}
\alias{pls}
\alias{sma}
\alias{lda}
\title{Add PCA, SMA, LDA, PLS}
\usage{
pca(object, ndim = 2, minvar = 0, verbose = TRUE, plot = FALSE, ...)

pls(
  object,
  subgroupvar = "subgroup",
  ndim = 2,
  minvar = 0,
  verbose = FALSE,
  plot = FALSE,
  ...
)

sma(object, ndim = 2, minvar = 0, verbose = TRUE, plot = FALSE, ...)

lda(
  object,
  subgroupvar = "subgroup",
  ndim = 2,
  minvar = 0,
  verbose = TRUE,
  plot = FALSE,
  ...
)
}
\arguments{
\item{object}{SummarizedExperiment}

\item{ndim}{number}

\item{minvar}{number}

\item{verbose}{TRUE (default) or FALSE}

\item{plot}{TRUE/FALSE}

\item{...}{passed to biplot}

\item{subgroupvar}{subgroup svar}
}
\value{
SummarizedExperiment
}
\description{
Perform a dimension reduction.
Add sample scores, feature loadings, and dimension variances to object.
}
\examples{
file <- download_data('atkin18.metabolon.xlsx')
object <- read_metabolon(file, plot = FALSE)
pca(object, plot=TRUE, color = Group)  # Principal Component Analysis
pls(object, subgroupvar = 'Group')  # Partial Least Squares
lda(object, subgroupvar = 'Group')  # Linear Discriminant Analysis
sma(object)  # Spectral Map Analysis
pca(object, ndim=3)
pca(object, ndim=Inf, minvar=5)
}
\author{
Aditya Bhagwat, Laure Cougnaud (LDA)
}
