% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/4_plot.R
\name{plot_data}
\alias{plot_data}
\title{Plot data}
\usage{
plot_data(
  data,
  geom = geom_point,
  color = NULL,
  fill = !!enquo(color),
  ...,
  fixed = list(),
  theme = list()
)
}
\arguments{
\item{data}{data.frame'}

\item{geom}{geom_point, etc.}

\item{color}{variable mapped to color (symbol)}

\item{fill}{variable mapped to fill (symbol)}

\item{...}{mapped aesthetics}

\item{fixed}{fixed  aesthetics (list)}

\item{theme}{list with ggplot theme specifications}
}
\value{
ggplot object
}
\description{
Plot data
}
\examples{
require(magrittr)
file <- download_data('halama18.metabolon.xlsx')
object <- read_metabolon(file, plot = FALSE)
object \%<>\% pca()
data <- sdata(object)
plot_data(data, x = pca1, y = pca2)
plot_data(data, x = pca1, y = pca2, color = TIME_POINT)
data$TIME <- as.numeric(substr(data$TIME_POINT, 2, 3))
plot_data(data, x = pca1, y = pca2, color = TIME)
plot_data(data, x = pca1, y = pca2, color = NULL)

fixed <- list(shape = 15, size = 3)
plot_data(data, x = pca1, y = pca2, fixed=fixed)
}
\author{
Aditya Bhagwat, Johannes Graumann
}
