% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/4_plot.R
\name{plot_features}
\alias{plot_features}
\alias{plot_feature_profiles}
\title{Plot features}
\usage{
plot_features(
  object,
  geom,
  subgroup,
  x = !!enquo(subgroup),
  fill = !!enquo(subgroup),
  color = !!enquo(subgroup),
  ...,
  fixed = list(na.rm = TRUE),
  theme = list(axis.text.x = element_blank(), axis.title.x = element_blank(),
    axis.ticks.x = element_blank())
)

plot_feature_profiles(...)
}
\arguments{
\item{object}{SummarizedExperiment}

\item{geom}{geom_point, geom_boxplot, etc.}

\item{subgroup}{subgroup svar}

\item{x}{svar mapped to x}

\item{fill}{svar mapped to fill}

\item{color}{svar mapped to color}

\item{...}{mapped aesthetics}

\item{fixed}{fixed aesthetics}

\item{theme}{ggplot theme specifications}
}
\value{
ggplot object
}
\description{
Plot features
}
\examples{
require(magrittr)
file <- download_data('halama18.metabolon.xlsx')
object <- read_metabolon(file, pca=TRUE, plot = FALSE)
idx <- order(abs(fdata(object)$pca1), decreasing=TRUE)[1:9]
object \%<>\% extract(idx, )
plot_feature_boxplots(object)
plot_subgroup_boxplots(object, subgroup=Group)
plot_feature_profiles( object, subgroup=Group)
}
