% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/8_plot_volcano.R
\name{plot_volcano}
\alias{plot_volcano}
\title{Plot volcano}
\usage{
plot_volcano(
  object,
  fit = intersect(names(metadata(object)), TESTS)[1],
  contrastdefs = autonomics::contrastdefs(object)[[1]],
  label = feature_name,
  ntop = 1
)
}
\arguments{
\item{object}{SummarizedExperiment}

\item{fit}{'limma', 'lme', 'lm', 'wilcoxon'}

\item{contrastdefs}{contrastdef vector / matrix / list}

\item{label}{fvar for labeling top features}

\item{ntop}{number: n top features to be annotated}
}
\value{
ggplot object
}
\description{
Plot volcano
}
\examples{
file <- download_data('fukuda20.proteingroups.txt')
object <- read_proteingroups(file, fit='limma', plot=FALSE)
plot_volcano(object)
}
