% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/3_read_rnaseq.R
\name{preprocess_rnaseq_counts}
\alias{preprocess_rnaseq_counts}
\title{Preprocess RNAseq counts}
\usage{
preprocess_rnaseq_counts(
  object,
  subgroupvar = if ("subgroup" \%in\% svars(object)) "subgroup" else NULL,
  formula = default_formula(object, subgroupvar, "limma"),
  block = NULL,
  min_count = 10,
  pseudocount = 0.5,
  genesize = NULL,
  cpm = TRUE,
  tmm = cpm,
  voom = TRUE,
  log2 = TRUE,
  verbose = TRUE,
  plot = TRUE
)
}
\arguments{
\item{object}{SummarizedExperiment}

\item{subgroupvar}{subgroup svar}

\item{formula}{designmat formula}

\item{block}{blocK svar}

\item{min_count}{min count required in some samples}

\item{pseudocount}{added pseudocount to avoid log(x)=-Inf}

\item{genesize}{genesize fvar to compute tpm}

\item{cpm}{whether to compute counts per million (scaled) reads}

\item{tmm}{whether to tmm normalize}

\item{voom}{whether to voom weight}

\item{log2}{whether to log2}

\item{verbose}{whether to msg}

\item{plot}{whether to plot}
}
\value{
SummarizedExperiment
}
\description{
Preprocess RNAseq counts
}
\examples{
require(magrittr)
file <- download_data('billing19.rnacounts.txt')
object <- .read_rnaseq_counts(file)
object$subgroup
object \%<>\% preprocess_rnaseq_counts()
}
