% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/3_read_omics.R
\name{read_affymetrix}
\alias{read_affymetrix}
\title{Read affymetrix microarray}
\usage{
read_affymetrix(celfiles)
}
\arguments{
\item{celfiles}{string vector: CEL file paths}
}
\value{
RangedSummarizedExperiment
}
\description{
Read affymetrix microarray
}
\examples{
require(magrittr)
url <- paste0('http://www.bioconductor.org/help/publications/2003/',
                'Chiaretti/chiaretti2/T33.tgz')
localfile <- file.path('~/autonomicscache', basename(url))
if (!file.exists(localfile)){
    download.file(url, destfile = localfile)
    untar(localfile, exdir = path.expand('~/autonomicscache'))
}
localfile \%<>\% substr(1, nchar(.)-4)
if (!requireNamespace("BiocManager", quietly = TRUE))  install.packages(
                                                            'BiocManager')
if (!requireNamespace("hgu95av2.db", quietly = TRUE))  BiocManager::install(
                                                            'hgu95av2.db')
# read_affymetrix(celfiles = list.files(localfile, full.names = TRUE))
# currently openblas issue: https://stackoverflow.com/questions/61629861/
}
