% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/3_read_metabolon.R
\name{.read_metabolon}
\alias{.read_metabolon}
\alias{read_metabolon}
\title{Read metabolon}
\usage{
.read_metabolon(
  file,
  sheet = "OrigScale",
  fid_var = "(COMP|COMP_ID)",
  sid_var = "(CLIENT_IDENTIFIER|Client ID)",
  sfile = NULL,
  sfileby = NULL,
  by = NULL,
  subgroupvar = "Group"
)

read_metabolon(
  file,
  sheet = "OrigScale",
  fid_var = "(COMP|COMP_ID)",
  sid_var = "(CLIENT_IDENTIFIER|Client ID)",
  sfile = NULL,
  sfileby = NULL,
  by = NULL,
  subgroupvar = "Group",
  fname_var = "BIOCHEMICAL",
  impute = FALSE,
  add_kegg_pathways = FALSE,
  add_smiles = FALSE,
  pca = FALSE,
  fit = NULL,
  formula = NULL,
  block = NULL,
  contrastdefs = NULL,
  verbose = TRUE,
  plot = TRUE
)
}
\arguments{
\item{file}{metabolon xlsx filepath}

\item{sheet}{xls sheet number or name}

\item{fid_var}{feature_id fvar}

\item{sid_var}{sampleid svar}

\item{sfile}{sample file}

\item{sfileby}{sample file mergeby column}

\item{by}{metabolon file mergeby column}

\item{subgroupvar}{subgroup svar}

\item{fname_var}{featurename fvar}

\item{impute}{whether to impute}

\item{add_kegg_pathways}{whether to add kegg pathways}

\item{add_smiles}{whether to add smiles}

\item{pca}{whether to pca}

\item{fit}{fit model: NULL, 'limma', 'lm', 'lme', 'lmer', 'wilcoxon'}

\item{formula}{designmat formula}

\item{block}{block svar}

\item{contrastdefs}{contrastdef vector/matrix/list}

\item{verbose}{whether to msg}

\item{plot}{whether to plot}
}
\value{
SummarizedExperiment
}
\description{
Read metabolon
}
\examples{
file <- download_data('atkin18.metabolon.xlsx')
read_metabolon(file, pca = TRUE, fit = 'limma', block='SUB')
}
