% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/3_read_rnaseq.R
\name{.read_rnaseq_bams}
\alias{.read_rnaseq_bams}
\alias{.read_rnaseq_counts}
\alias{read_rnaseq_bams}
\alias{read_rnaseq_counts}
\title{Read rnaseq}
\usage{
.read_rnaseq_bams(
  dir,
  paired,
  genome,
  nthreads = detectCores(),
  sfile = NULL,
  sfileby = NULL,
  subgroupvar = NULL,
  ffile = NULL,
  ffileby = NULL,
  fnamevar = NULL,
  verbose = TRUE
)

.read_rnaseq_counts(
  file,
  fid_col = 1,
  sfile = NULL,
  sfileby = NULL,
  ffile = NULL,
  ffileby = NULL,
  subgroupvar = NULL,
  verbose = TRUE
)

read_rnaseq_bams(
  dir,
  paired,
  genome,
  nthreads = detectCores(),
  sfile = NULL,
  sfileby = NULL,
  subgroupvar = NULL,
  block = NULL,
  ffile = NULL,
  ffileby = NULL,
  fnamevar = NULL,
  formula = NULL,
  min_count = 10,
  pseudocount = 0.5,
  genesize = NULL,
  cpm = TRUE,
  tmm = cpm,
  log2 = TRUE,
  pca = FALSE,
  fit = NULL,
  voom = !is.null(fit),
  contrastdefs = NULL,
  verbose = TRUE,
  plot = TRUE
)

read_rnaseq_counts(
  file,
  fid_col = 1,
  sfile = NULL,
  sfileby = NULL,
  subgroupvar = NULL,
  block = NULL,
  ffile = NULL,
  ffileby = NULL,
  fnamevar = NULL,
  formula = NULL,
  min_count = 10,
  pseudocount = 0.5,
  genesize = NULL,
  cpm = TRUE,
  tmm = cpm,
  log2 = TRUE,
  pca = FALSE,
  fit = NULL,
  voom = !is.null(fit),
  contrastdefs = NULL,
  verbose = TRUE,
  plot = TRUE
)
}
\arguments{
\item{dir}{read_rnaseq_bams: bam/samfile dir}

\item{paired}{read_rnaseq_bams: whether paired end reads}

\item{genome}{read_rnaseq_bams: mm10"/"hg38"/etc. or GTF file}

\item{nthreads}{read_rnaseq_bams: nthreads used by Rsubread::featureCounts()}

\item{sfile}{sample file}

\item{sfileby}{sample file mergeby column}

\item{subgroupvar}{subgroup svar}

\item{ffile}{feature file}

\item{ffileby}{feature file mergeby column}

\item{fnamevar}{featurename fvar}

\item{verbose}{whether to message}

\item{file}{read_rnaseq_counts: count file}

\item{fid_col}{featureid fvar}

\item{block}{block svar}

\item{formula}{designmat formula}

\item{min_count}{min feature count required in some samples}

\item{pseudocount}{added pseudocount to prevent -Inf log2 values}

\item{genesize}{genesize fvar for tpm}

\item{cpm}{whether to compute cpm}

\item{tmm}{whether to tmm-scale library sizes}

\item{log2}{whether to log2 transform}

\item{pca}{whether to pca}

\item{fit}{fit model: NULL, 'limma', 'lm', 'lme', 'lmer', 'wilcoxon'}

\item{voom}{whether to compute voom precision weights}

\item{contrastdefs}{contrastdef vector/matrix/list}

\item{plot}{whether to plot}
}
\value{
SummarizedExperiment
}
\description{
Read/analyze rnaseq counts / bamfiles
}
\examples{
file <- download_data('billing19.rnacounts.txt')
object <- read_rnaseq_counts(file, pca= TRUE, fit='limma')

# requires Rsubread
# file <- download_data('billing16.bam.zip')
# object <- read_rnaseq_bams(file, paired=TRUE, genome='hg38', pca=TRUE, 
#                            fit='limma', plot=TRUE)
}
\author{
Aditya Bhagwat, Shahina Hayat
}
