% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/2_get_set.R
\name{snames}
\alias{snames}
\alias{snames,SummarizedExperiment-method}
\alias{snames<-}
\alias{snames<-,SummarizedExperiment,character-method}
\title{Get/Set snames}
\usage{
snames(object)

\S4method{snames}{SummarizedExperiment}(object)

snames(object) <- value

\S4method{snames}{SummarizedExperiment,character}(object) <- value
}
\arguments{
\item{object}{SummarizedExperiment}

\item{value}{string vector with sample names}
}
\value{
sample names vector (get) or updated eSet (set)
}
\description{
Get/Set sample names
}
\examples{
require(magrittr)
file <- download_data('billing16.proteingroups.txt')
object <- read_proteingroups(file, plot=FALSE)
head(snames(object))
head(snames(object) \%<>\% paste0('SAMPLE_', .))
}
