% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/2_sumexp_to_dt.R
\name{sumexp2mae}
\alias{sumexp2mae}
\title{Create MultiAssayExperiment from SummarizedExperiment list}
\usage{
sumexp2mae(experiments)
}
\arguments{
\item{experiments}{named list of SummarizedExperiments}
}
\value{
MultiAssayExperiment
}
\description{
Create MultiAssayExperiment from SummarizedExperiment list
}
\examples{
require(magrittr)
somascanfile  <- download_data('atkin18.somascan.adat')
metabolonfile <- download_data('atkin18.metabolon.xlsx')
somascan <- read_somascan(somascanfile,   plot=FALSE)
metabolon<- read_metabolon(metabolonfile, plot=FALSE)
svars(somascan)  \%<>\% stringi::stri_replace_first_fixed(
                        'SampleGroup', 'subgroup')
svars(metabolon) \%<>\% stringi::stri_replace_first_fixed(
                        'Group',       'subgroup')
metabolon$replicate <- NULL
object   <- sumexp2mae(list(somascan=somascan, metabolon=metabolon))
}
